<template>
  <h1>ToDo App</h1>
  <form v-on:submit.prevent="addTodo()">
    <label>New ToDo</label>
    <input type="text" v-model="content" />
    <button>Add ToDo</button>
  </form>

  <h2>ToDo List({{ todos.length }})</h2>
  <ul>
    <li v-for="(todo, index) in todos" :key="index">
      <!-- <span v-if="todo.done" style="text-decoration: line-through;" @click="doIt(todo)">{{todo.content}}</span>
                <span v-else @click="doIt(todo)">{{todo.content}}</span> -->
      <span
        :class="{ done: todo.done, notDone: !todo.done }"
        @click="doIt(todo)"
        >{{ todo.content }}</span
      >
      <button @click="removeTodo(index)">X</button>
    </li>
  </ul>
</template>

<script>
export default {
  name: 'App',
  data () {
    return {
      todos: [
        {
          content: 'กินข้าว',
          done: false
        },
        {
          content: 'อ่านหนังสือ',
          done: true
        }
      ],
      content: ''
    }
  },
  methods: {
    addTodo () {
      // console.log(this.content); // DEBUG
      this.todos.push({
        content: this.content,
        done: false
      })
      this.content = ''
    },
    removeTodo (index) {
      this.todos.splice(index, 1)
    },
    doIt (todo) {
      todo.done = !todo.done
      console.log(todo)
    }
  }
}
</script>

<style>
.done {
  text-decoration: line-through;
  color: gray;
}

.notDone {
  color: blue;
}
</style>
